//新闻详情
appModule.controller('NewsDetailController',
    ['$scope', '$stateParams', 'appService', '$ionicHistory',

        function($scope, $stateParams, appService, $ionicHistory) {
            console.log("新闻详情参数:");
            console.log($stateParams);
            $scope.detailId = $stateParams.id;
            $scope.imgFlag = true;
            appService.getData(urlMap.homeNewsDetail, { id: $scope.detailId },
                function(jsonData) {
                    $scope.newsItem = [];
                    $("#pic").hide();
                    $("#jp_container_1").attr("style", "display:block");
                    $("#contentCh").attr("style", "display:block");

                    // console.log(jsonData);
                    var vio = jsonData.picName;
                    var type = jsonData.type;
                    var Poster = $scope.vio + "/" + vio.replace(/mp4/gi, "jpg");
                    $scope.newsItem = jsonData;
                    if (type == "2") {
                        $scope.imgFlag = false;
                        $("#jquery_jplayer_1").jPlayer({
                            ready: function() {
                                $(this).jPlayer("setMedia", {
                                    m4v: $scope.vio + "/" + vio,
                                    poster: Poster
                                }).jPlayer('play');
                            },
                            ended: function() {
                                $(this).jPlayer("play");
                            },
                            supplied: "m4v",
                            swfPath: "assets/swf",
                            supplied: "webmv, ogv, m4v, oga, mp3",
                            useStateClassSkin: true,
                            autoBlur: false,
                            smoothPlayBar: true,
                            keyEnabled: true,
                            audioFullScreen: true,
                            size: {
                                width: $(window).width() - 30 + "px",
                                height: "auto"
                            },
                            autohide: {
                                restored: false,
                                full: false

                            }
                        });

                    } else {
                        $("#pic").show();
                        $("#jp_container_1").attr("style", "display:none");
                        $("#contentCh").attr("style", "display:none");

                        var content = jsonData.contentCh;
                        var contentArr = content.split("@image@");
                        var picArr = jsonData.picList;
                        var resultList = [];
                        for (var i = 0; i < picArr.length; i++) {
                            var obj = new Object();
                            obj.pic = picArr[i];
                            obj.content = contentArr[i];
                            obj.type = 1;
                            resultList.push(obj);

                        }

                        $scope.newsItem.picList = resultList;
                        /*$scope.newsItem.time = jsonData.time;
                        $scope.newsItem.titleCh = jsonData.titleCh;*/
                        $scope.newsItem.id = jsonData.id;

                    }

                    new RTP.PinchZoom($('#pinchZoom'), { minZoom: 0.2 });
                    var winHeight = $(window).height();
                    var winWidth = $(window).width();
                    $('#pinchZoom').height(winHeight);
                    $('#pinchZoom').parents('.pinch-zoom-container')
                        .width(winWidth)
                        .height(winHeight);
                });




            //点击放大图
            $scope.bigImage = false;
            $scope.showBigImage = function(imgSrcPath) {
                //console.log(imgSrcPath);
                $scope.bigImage = true;
                $scope.bigImageSrc = $scope.pic + "/" + imgSrcPath + "?" + (new Date()).getTime();
            };
            $scope.hideBigImage = function() {
                $scope.bigImage = false;
                $('#pinchZoom').parents('.pinch-zoom-container').hide();
            };
            $scope.loadBigImage = function() {
                $('#pinchZoom').parents('.pinch-zoom-container').show();
            }
        }
    ])
