appModule.controller('cv19qaAdminController', ['$scope', '$stateParams', 'appService', '$timeout', '$state', '$ionicPopup', '$ionicScrollDelegate', '$ionicModal', function($scope, $stateParams, appService, $timeout, $state, $ionicPopup, $ionicScrollDelegate, $ionicModal) {
  /* datas */
  $scope.stateName = $state.current.name;
  $scope.region = $stateParams.region
  // $scope.region.code = 2205210202  //测试
  /* $timeout(function() {
    $scope.doRefresh()
  }) */
  $scope.$emit('loading', 'show');
  appService.getData(urlMap.region, { id: $stateParams.region.id }, function(res) {
    $scope.$emit('loading', 'hide');
    $scope.region = res.data[0]
    $scope.doRefresh()
  })
  $scope.getQ = function(page) {
    appService.getData(urlMap.qaGetquestionsAdmin, { regionCode: $scope.region.code, page: page }, function(res) {
      $scope.$emit('loading', 'hide');
      if (res.code == 200) {
        $scope.$broadcast('scroll.infiniteScrollComplete'); //懒加载更多结束
        $scope.domore = false;
        if (page < 1) {
          $scope.questions = []
        }
        var list = res.data, length = list.length, size = res.size;
        if (length >= size) $timeout(function() {
          $scope.domore = true;
        }, 500)
        $scope.questions = $scope.questions.concat(list);
        return
      }
      $scope.alert(res.msg)
    })
  }
  $scope.doRefresh = function() {
    $scope.$broadcast('scroll.refreshComplete'); //上拉刷新结束
    $scope.questions = null
    $scope.domore = true
    $scope.page = 0
    $timeout(function() {
      $ionicScrollDelegate.resize()
    })
  }
  $scope.onInfinite = function() {
    $scope.getQ($scope.page++)
  }
  $scope.goStatistics = function(id) {
    $scope.goState('cv19qaStatistics', { qaid: id, region: $scope.region })
  }
}
]);
