appModule.controller('thxJijianController', ['$scope', '$ionicPopup', '$stateParams', 'appService', '$state', '$timeout', '$ionicScrollDelegate', '$sce', function($scope, $ionicPopup, $stateParams, appService, $state, $timeout, $ionicScrollDelegate, $sce) {
    $scope.stateName = $state.current.name;//data
    $scope.domore = true;
    $scope.pageNext = 0
    $scope.$on('$ionicView.loaded', function() {
        $scope.bannerHeight = window.innerWidth ? {
            'height': (window.innerWidth * 0.55) + 'px'
        } : false;
        window.onresize = function() {
            $scope.$apply(function() {
                $scope.bannerHeight = window.innerWidth ? {
                    'height': (window.innerWidth * 0.55) + 'px'
                } : false;
            })
        }
        $scope.onInfinite()
    });
    $scope.$on('$ionicView.beforeEnter', function() {
        $scope.initBannerSwiper();
    });
    $scope.$on('$ionicView.afterLeave', function() {
        $scope.inspectionBannerSwiper && $scope.inspectionBannerSwiper.destroy(true, true);
    });
    $scope.$on('changeDistrict', function(e, data) {
        if ($scope.stateName == $state.current.name) {
            /*if (data.cityId == $scope.cityId) return;
            $scope.cityId = data.cityId || '';
            $scope.initBannerSwiper(); */
        }
    });
    $scope.showDetial = function(item) {
      $scope.goState('artItem', {
        url: urlMap.jiweiHomenewsItem + '/' + item.id,
      })
    }
    $scope.getHomeArticles = function(page) {
        var data = {
            regionCode: $scope.publicCityId,
            verifyState: 1,
            size: 10,
            page: page
        }
        appService.getData(urlMap.jiweiHomenews, data,
            function(results) {
                $scope.$broadcast('scroll.infiniteScrollComplete'); //懒加载更多结束
                if (!results) return;
                if (page < 1) {
                    $scope.homeArticles = null;
                }
                var list = results.data, length = list.length, size = results.size || 10,
                    articles = $scope.homeArticles || []
                    ;
                if (length < size) $scope.domore = false;
                else {
                    $timeout(function() {
                        $scope.domore = true;
                    }, 200)
                }
                if (length > 0) {
                    for (var i = 0; i < length; i++) {
                        var item = list[i];
                        item.summary = item.content && $('<div>' + item.content + '</div>').text().replace(/\s+/g, ' ').slice(0, 30) + '...';
                        var n200 = item.cover && '200px_' + item.cover;
                        item.thum200 = $scope.evalRemotePath(n200);
                        /*  var url = item.url && $scope.evalRemotePath(item.url, $scope.vio);
                         item.url = url && $sce.trustAsResourceUrl(url) */
                        articles.push(item);
                    }
                }
                $scope.homeArticles = articles;
            });
    }
    $scope.onInfinite = function() {
        $scope.getHomeArticles($scope.pageNext++)
    }
    $scope.initBannerSwiper = function() {
        $scope.inspectionBannerSwiper && $scope.inspectionBannerSwiper.destroy(true, true);
        // if (!!$scope.bannerArray && $scope.bannerArray.length > 1) {
        $timeout(function() {
            $scope.inspectionBannerSwiper = new Swiper('#inspectionBannerSwiper', {
                width: undefined,
                autoplay: {
                    disableOnInteraction: false,
                },
                loop: true,
                pagination: {
                    el: '.inspection-banner-pagination'
                }/* ,
                    on: {
                        tap: function (e) {
                            var _e = e || event;
                            $scope.goInfoDetail(_e.target.getAttribute('itemid'))
                        }
                    } */
            });
        });
        // }
    }
    //跳转到详情页面 
    $scope.goDetail = function(item) {
        $state.go('feedBackDetail', { "id": item.id, "areaID": $scope.publicCityId, "flag": $scope.tabIndex });
    }
}
]);
