
appModule.controller('jingshijiaoyuController', ['$scope', '$state', 'appService', '$timeout', '$stateParams', '$ionicPopup', '$ionicScrollDelegate', '$sce', '$stateParams', function($scope, $state, appService, $timeout, $stateParams, $ionicPopup, $ionicScrollDelegate, $sce, $stateParams) {
  $scope.stateName = $state.current.name;
  $scope.tabIndex = 0;
  $scope.dataArray = [];
  $scope.pageNext = [0, 0, 0];
  $scope.domore = [true, true, true];
  $scope.navs = [
    { name: '图文' },
    { name: '视频' },
    { name: 'VR' }
  ];
  $scope.$on('$ionicView.loaded', function() {
    $scope.init()
  });
  /* function trustFile(file) {
    return $sce.trustAsResourceUrl(file)
  } */
  $scope.showDetial = function(item) {
    $scope.goState('artItem', {
      url: urlMap.jiweiJingshijiaoyuItem + '/' + item.id,
    })
  }
  $scope.showDetialV = function() {
    $scope.goState('jingshijiaoyuArticle', {
      module: {
        api: "/api/ccdijl/sp/articles",
        param: "{\"size\":5}"
      }, id: 12
    })
  }

  $scope.showDetialVR = function(item) {
    console.log(item)
    $scope.openUrl({
      url: item.url,
      name: item.title
    })
  }
  $scope.changeTab = function(i) {
    $scope.tabIndex = i;
    $scope.goTop()
  }
  $scope.queryArray = function(type, page) {
    var data = {
      regionCode: $scope.publicCityId,
      type: type,
      verifyState: 1,
      size: 10,
      page: page
    }
    appService.getData(urlMap.jiweiJingshijiaoyu, data,
      function(results) {
        $scope.$broadcast('scroll.infiniteScrollComplete'); //懒加载更多结束
        if (!results) return;
        if (page < 1) {
          $scope.dataArray[$scope.tabIndex] = null;
        }
        var list = results.data, length = list.length, size = results.size || 10,
          articles = $scope.dataArray[$scope.tabIndex] || []
          ;
        if (length < size) $scope.domore[$scope.tabIndex] = false;
        else {
          $timeout(function() {
            $scope.domore[$scope.tabIndex] = true;
          }, 200)
        }
        if (length > 0) {
          for (var i = 0; i < length; i++) {
            var item = list[i];
            item.summary = item.content && $('<div>' + item.content + '</div>').text().replace(/\s+/g, ' ').slice(0, 50) + '...';
            var n200 = item.thumbnail && '200px_' + item.thumbnail;
            item.thum200 = $scope.evalRemotePath(n200);
            /*  var url = item.url && $scope.evalRemotePath(item.url, $scope.vio);
             item.url = url && $sce.trustAsResourceUrl(url) */
            articles.push(item);
          }
        }
        $scope.dataArray[$scope.tabIndex] = articles;
      });
  }
  $scope.init = function() {
    $scope.domore[$scope.tabIndex] = true;
    $scope.pageNext[$scope.tabIndex] = 0
    $scope.dataArray[$scope.tabIndex] = null;
    $scope.goTop()
  }
  $scope.doRefresh = function() {
    $timeout(function() {
      $scope.$broadcast('scroll.refreshComplete'); //上拉刷新结束
    })
    $scope.init()
  }
  $scope.onInfinite = function() {
    var type = $scope.tabIndex + 1
    $scope.queryArray(type, $scope.pageNext[$scope.tabIndex]++);
  }
}]);

