appModule.controller('thxLianluozhanController', ['$scope', '$ionicPopup', '$stateParams', 'appService', '$state', '$timeout', '$ionicScrollDelegate', '$sce', function($scope, $ionicPopup, $stateParams, appService, $state, $timeout, $ionicScrollDelegate, $sce) {
    $scope.stateName = $state.current.name;//data
    $scope.domore = true
    $scope.pageNext = 0
    $scope.selectRegion4 = { code: $scope.publicCityId, name: '全部' }
    $scope.init = function() {
        $scope.domore = true
        $scope.pageNext = 0
        $scope.llzlist = null
        $ionicScrollDelegate.scrollTop()
    }
    $scope.changeSelectLianluozhan = function(obj) {
        $scope.selectRegion4 = obj
        $scope.init()
    }
    $scope.$on('$ionicView.loaded', function() {
        $scope.getArt()
        $scope.getStreetAndCommunity()
    });
    /* 联络站列表 */
    $scope.getLLz = function(page) {
        var code = $scope.selectRegion4.code
        var data = {
            regionCode: code,
            size:10,
            page: page
        }
        appService.get(urlMap.jiweiLLZ + '/app', data, function(res) {
            $scope.$broadcast('scroll.infiniteScrollComplete'); //懒加载更多结束
            if (!res) return;
            if (page < 1) {
                $scope.llzlist = [];
            }
            var list = res.data, length = list.length, size = res.size || 10;
            if (length < size) $scope.domore = false;
            else {
                $timeout(function() {
                    $scope.domore = true;
                }, 200)
            }
            $scope.llzlist = $scope.llzlist.concat(res.data);
        });
    }
    /* 联络站所属地 */
    $scope.getStreetAndCommunity = function() {
        // $scope.$emit('loading', 'show');
        appService.get(urlMap.region, { pid: 5, state: 1, mid: 1 }, function(res) {
            // $scope.$emit('loading', 'hide');
            if (res.data) {
                $scope.regionLevel4 = res.data
                $scope.regionLevel4.unshift(
                    { code: $scope.publicCityId, name: '全部' })
            }
        })
    }
    /* 工作职责 */
    $scope.getArt = function() {
        var data = {
            regionCode: $scope.publicCityId,
            page: 0,
            size: 999
        }
        appService.getData(urlMap.jiweiLLZArt, data,
            function(res) {
                $scope.zhize = res.data
            });
    }
    $scope.onInfinite = function() {
        $scope.getLLz($scope.pageNext++)
    }
    $scope.showDetial = function(item) {
      $scope.goState('artItem', {
        url: urlMap.jiweiLLZArtItem + '/' + item.id,
      })
    }
}
]);
