appModule.controller('OursController', ['$scope', 'appService', '$state', '$ionicModal', function($scope, appService, $state, $ionicModal) {
    $scope.$on('$ionicView.enter', function() {
        var params = {
            time: (new Date()).getTime()
        };
        params.id = '4';
        opt = {
            method: "post",
            url: urlMap.agreementDb,
            params: params
        }
        appService.queryData(opt, function(jsonData) {
            console.log(jsonData);
            $scope.aboutItem = jsonData[0];
        });
    })
    $scope.newLineBySign = function(value) {
        // value = trim(value);
        value = value.trim();
        console.log(value.indexOf("\\n"));
        var result = '';
        if (value.indexOf("\\n") > 0) {
            result = value.replace(/(\\n)/g, "$1\n");
            result = result.replace(/(\\n)/g, "");
        }
        return result;
    }
    /*** 
    * 协议隐私模态框 
    */
    $scope.appAgreementModal = {};
    $ionicModal.fromTemplateUrl('appAgreementServicePrivacy.html', {
        scope: $scope,
        animation: 'slide-in-up'
    }).then(function(modal) {
        $scope.appAgreementModal.modal = modal;
    });
    $scope.openModalAppAgreementServicePrivacy = function(type) {
        $scope.appAgreementModal.modal.show();
        $scope.appAgreementModal.content = "载入中...";
        if (type == '1') {
            $scope.appAgreementModal.title = '服务协议';
            var params = {
                time: (new Date()).getTime()
            };
            params.id = '5';
            opt = {
                method: "post",
                url: urlMap.agreementDb,
                params: params
            }
            appService.queryData(opt, function(result) {
                if (result && result[0]) {
                    $scope.appAgreementModal.content = result[0].contentCh;
                    return;
                }
                $scope.appAgreementModal.content = "载入失败，请联系客服。";
            }, function() {
                $scope.appAgreementModal.content = "载入失败，请检查您的网络，并稍后重试";
            });
        } else {
            $scope.appAgreementModal.title = '隐私政策';
            appService.getData(urlMap.privacyPolicy, {
                time: (new Date()).getTime()
            }, function(result) {
                if (result && result[0]) {
                    $scope.appAgreementModal.content = result[0].contentCh;
                    return;
                }
                $scope.appAgreementModal.content = "载入失败，请联系客服。";
            }, function() {
                $scope.appAgreementModal.content = "载入失败，请检查您的网络，并稍后重试";
            });
        }

        return




        var url, id, method;
        if (type == '1') {
            $scope.appAgreementModal.title = '服务协议';
            // url = urlMap.agreement;
            method = 'postData'
            url = urlMap.agreementDb;
            id = 5
        } else {
            $scope.appAgreementModal.title = '隐私政策';
            method = 'getData'
            url = urlMap.privacyPolicy;
        }
        appService[method](url, {
            id: id,
            time: (new Date()).getTime()
        }, function(result) {
            if (result && result[0]) {
                $scope.appAgreementModal.content = result[0].contentCh;
                return;
            }
            $scope.appAgreementModal.content = "载入失败，请联系客服。";
        }, function() {
            $scope.appAgreementModal.content = "载入失败，请检查您的网络，并稍后重试";
        });
    };
}])
