appModule.controller('scTtbCV19HandleUnMultiPhonesController', ['$scope', '$stateParams', 'appService', '$timeout', '$state', '$ionicPopup', '$ionicScrollDelegate', '$ionicModal', function($scope, $stateParams, appService, $timeout, $state, $ionicPopup, $ionicScrollDelegate, $ionicModal) {
    $scope.stateName = $state.current.name; //data
    $scope.inoutName = $stateParams.inOut == 'out' ? '出通' : '来通'
    $scope.searchForm = {
        inOut: $stateParams.inOut,
        // time: $stateParams.time,不做时间查询,只查最新的30条
        regionId: $stateParams.regionId,
        size: 30,
        page: 0,
        name: null,
        idCard: null
    }
    $scope.setContent = function(content) {
        $scope.content = content
    }
    $scope.submit = function() {
        var msg = $scope.ruleAll('请正确填写')
        if (msg != true) {
            $scope.alert(msg);
            return;
        }
        $scope.$emit('loading', 'show');
        appService.getData(urlMap.cv19MutiReport, $scope.searchForm, function(result) {
            $scope.$emit('loading', 'hide');
            console.log(result)
            $timeout(function() {
                $ionicScrollDelegate.resize();
            })
            if (result.code == 200) {
                $scope.list = result.data
                return
            }
            else $scope.alert(result.msg)
        });
    }
    $scope.releForm = {}
    $scope.showReleForm = function(item) {
        $scope.releForm.name = item.name
        $scope.releForm.regionId = item.regionId
        $scope.releForm.reportId = item.id
        $scope.releForm.inOutState = $stateParams.inOut
        $scope.releForm.djtime = item.djtime || item.bbsj
        // 自定义弹窗
        var myPopup = $ionicPopup.show({
            template: '<input type="number" ng-model="releForm.phone">',
            title: '请输入要新增的关联手机号',
            // subTitle: '关联到已报备手机'+,
            scope: $scope,
            buttons: [
                { text: '取消' },
                {
                    text: '<b>关联</b>',
                    type: 'button-positive',
                    onTap: function(e) {

                        if (!$scope.releForm.phone) {
                            // 不允许用户关闭，除非输入手机号
                            e.preventDefault();
                        } else {
                            $ionicPopup.confirm({
                                title: '确认操作',
                                template: '<p>您确认新增关联手机号“' + $scope.releForm.phone + '”到当前所选报备吗?</p>',
                                scope: $scope,
                                cancelText: '取消',
                                okText: '确认关联'
                            }).then(function(res) {
                                if (res) {
                                    $scope.relateReport()
                                }
                            });

                        }
                        // cv19MutiRelate
                    }
                },
            ]
        });
    }
    $scope.relateReport = function() {
        $scope.$emit('loading', 'show');
        appService.postData(urlMap.cv19MutiRelate, $scope.releForm, function(res) {
            $scope.$emit('loading', 'hide');
            $scope.releForm = {}
            $scope.alert(res.msg)
        });
    }
}
]);
