appModule.controller('videoDetailController', ['$scope', '$stateParams', 'appService', '$timeout',
    function($scope, $stateParams, appService, $timeout) { //首页
        $scope.id = $stateParams.id
        $scope.pageNext = 0;
        $scope.domore = true;
        $scope.stationIndex = 4;
        $scope.$on('$ionicView.enter', function() {
            $scope.queryVideo();
        });
        $scope.queryVideo = function() {
            appService.getData(urlMap.xiaozhishuoji + '/' + $scope.id, {},
                function(results) {
                    $scope.$broadcast('scroll.infiniteScrollComplete');
                    var item = $scope.article = results.data;
                    item.portrait = $scope.evalRemotePath(item.userPortrait || urlMap.defaultImg)
                    $("#videoPlayer").jPlayer({
                        ready: function() {
                            $(this).jPlayer("setMedia", {
                                m4v: item.url,
                                poster: item.thumbnail
                            }).jPlayer('play');

                        },
                        ended: function() {
                            $(this).jPlayer("play");
                        },
                        supplied: "m4v",
                        swfPath: "assets/swf",
                        supplied: "webmv, ogv, m4v, oga, mp3",
                        solution: "html,flash",
                        fullWindow: false,
                        useStateClassSkin: true,
                        autoBlur: false,
                        smoothPlayBar: true,
                        keyEnabled: true,
                        wmode: 'opaque',
                        size: {
                            width: $(window).width() - 40 + "px",
                            height: "auto"
                        },
                        autohide: {
                            restored: false,
                            full: false

                        },
                        play: function() {
                            console.log('onplay')
                            /* $("#jquery_jplayer_1").off('click').on('click', function() { 
                                  $(".jp-full-screen").click(); 
                             }); */
                        }
                    })
                    $("#pic").attr("style", "display:none");
                    $("#jp_container_1").attr("style", "display:block");
                });
        }
        $scope.init = function() {
            $scope.pageNext = 0
            $scope.domore = true;
            $scope.jwVio = null
        }
        //视频详情
        $scope.userId = $scope.user.id; //点赞人id
        $scope.userName = $scope.user.userName; //点赞人名字
        $scope.mediaId = $stateParams.id; //视频id
        
    }
])

